// StaticLink.cpp : implementation file
//

#include "stdafx.h"
#include "StaticLink.h"
#include "Resource.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStaticLink

CStaticLink::CStaticLink()
{
	m_bVisited = FALSE;
}

CStaticLink::~CStaticLink()
{
}

BEGIN_MESSAGE_MAP(CStaticLink, CStatic)
	//{{AFX_MSG_MAP(CStaticLink)
	ON_WM_LBUTTONDOWN()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStaticLink message handlers

BOOL CStaticLink::PreCreateWindow(CREATESTRUCT& cs) 
{
	cs.lpszClass = AfxRegisterWndClass(
		CS_HREDRAW | CS_VREDRAW, AfxGetApp()->LoadCursor(IDC_MY_CURSOR), NULL
		);
	
	return CStatic::PreCreateWindow(cs);
}

void CStaticLink::OnLButtonDown(UINT nFlags, CPoint point) 
{
	CWaitCursor wait;

	try
	{
		HINSTANCE hInstance = ::ShellExecute(
			NULL, _T("open"), m_strLink, NULL, NULL, SW_SHOWNORMAL
			);
		if((UINT)hInstance <= 32)
			_com_issue_error(HRESULT_FROM_WIN32(GetLastError()));

		m_bVisited = TRUE;
	}
	catch(const _com_error& e)
	{
		AfxMessageBox(CHelpers::GetComError(e), MB_ICONERROR);
	}
	catch(...)
	{
		AfxMessageBox(_T("Errors occurred."), MB_ICONERROR);
	}
	
	CStatic::OnLButtonDown(nFlags, point);
}