// StopDlg.cpp : implementation file
//

#include "stdafx.h"
#include "libdump.h"
#include "StopDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CStopDlg dialog

CStopDlg::CStopDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CStopDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CStopDlg)
	//}}AFX_DATA_INIT

	theApp.m_pMainWnd->EnableWindow(FALSE);
    Create(IDD_STOP);
	ShowWindow(SW_SHOW);
	m_bStop = FALSE;
}

CStopDlg::~CStopDlg()
{
	Close();
}

void CStopDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CStopDlg)
	DDX_Control(pDX, IDCANCEL, m_buttonStop);
	DDX_Control(pDX, IDC_STATUS, m_staticStatus);
	//}}AFX_DATA_MAP
}

BEGIN_MESSAGE_MAP(CStopDlg, CDialog)
	//{{AFX_MSG_MAP(CStopDlg)
	ON_BN_CLICKED(IDCANCEL, OnStop)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CStopDlg message handlers

void CStopDlg::OnStop() 
{
	m_bStop = TRUE;
    m_buttonStop.EnableWindow(FALSE);
	m_staticStatus.SetWindowText(_T("Stopping Find in Files..."));
	Close();
}

void CStopDlg::Close()
{
    if(::IsWindow(m_hWnd))
	{
        theApp.m_pMainWnd->EnableWindow();
        DestroyWindow();
    }
}